Skip to main content

DeleteBusinessLogic

Delete a business logic definition from the specified workspace.

Debug

You can run this API directly in OpenAPI Explorer, saving you the trouble of calculating signatures. After a successful call, OpenAPI Explorer can automatically generate SDK code examples. Try it

RAM authorization

The following table describes the authorization information for this API. You can use it in the Action element of a RAM policy statement to grant RAM users or RAM roles the permission to call this API. For more details:
  • Action: the specific permission point.
  • Access level: the level of access for each action. Valid values: Write, Read, and List.
  • Resource type: the resource types that support authorization for the action. For more details:
    • For required resource types, an asterisk is prefixed.
    • For operations that do not support resource-level authorization, All resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Dependent action: the other permissions required to successfully perform the operation. The caller must also have the permissions of the dependent actions for the operation to succeed.
ActionAccess levelResource typeCondition keyDependent action
dataanalysisgbi:DeleteBusinessLogicnone
*All resources
*
    None
None

Request syntax

POST /gbi/delete/logic HTTP/1.1

Request parameters

ParameterTypeRequiredDescriptionExample
workspaceIdstringYes

ID of the Alibaba Cloud Model Studio workspace used for this request.

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters.

businessLogicIdKeysarrayYes

List of unique identifiers of the business logic definitions.

IdstringNo

Unique identifier of the business logic definition.

businessLogic-AAAAAAAAAGAIyJoP7LbKuA

Response elements

ElementTypeDescriptionExample
object

Result

dataany

Response message.

true
errorMsgstring

Error description.

NoAuth
codestring

Error code.

NoAuth
successboolean

Returns true if the call succeeds. Returns false if the call fails.

true
requestIdstring

Unique ID for this request. Use it to troubleshoot issues.

FB11F719-9AC8-5C99-AB0A-4709D437FCFC

Examples

Success response JSON format
{
  "data": "true",
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "FB11F719-9AC8-5C99-AB0A-4709D437FCFC"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel to troubleshoot.
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission on the specified workspace.
401NoResourceAuthBad Request: Resource Auth Error.You do not have permission on the requested resource. Make sure the requested resource belongs to the workspace specified in the parameters.
401SystemOperationInProgressXiyan GBI is learning your previous modifications. Please try again later.Xiyan GBI is learning your previous modifications. Please try again later.
Go to the Error Center to view more error codes.